Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451733 - mkinitrd warnings during kernel install..
Summary: mkinitrd warnings during kernel install..
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target
TreeView+ depends on / blocked
 
Reported: 2008-06-17 00:45 UTC by Dave Jones
Modified: 2015-01-04 22:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 14:59:35 UTC


Attachments (Terms of Use)

Description Dave Jones 2008-06-17 00:45:57 UTC
Running Transaction
  Updating       : kernel-headers                                    [1/4] 
  Installing     : kernel-PAE                                        [2/4] 
resolveDevice: device spec expected
/sbin/mkinitrd: line 1829: /usr/libexec/plymouth/plymouth-populate-initrd: No
such file or directory
  Cleanup        : kernel-headers                                    [3/4] 
  Cleanup        : kernel-PAE                                        [4/4]

Comment 1 sangu 2008-06-17 03:05:28 UTC
$sudo rpm -ihv kernel-2.6.26-0.72.rc6.git2.fc10.i686.rpm
kernel-devel-2.6.26-0.72.rc6.git2.fc10.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [ 50%]
install: cannot stat `/usr/share/plymouth/details/*': No such file or directory

/sbin/ldconfig: /lib/ld-linux.so.2 is not a symbolic link

   2:kernel-devel           ########################################### [100%]

mkinitrd-6.0.53-1.fc10.i386
plymouth-0.3.2-2.fc10.i386

Comment 2 Dave Jones 2008-06-23 23:06:51 UTC
The plymouth warnings seem to be gone, but I still see..

resolveDevice: device spec expected


Comment 3 Will Woods 2008-07-28 15:26:20 UTC
The only message I'm seeing at this point is:
  /sbin/ldconfig: /lib/ld-linux.so.2 is not a symbolic link
which pjones assures me is "completely innocuous". Moving to F10Target.

Comment 4 Peter Jones 2008-07-30 14:59:35 UTC
This is actually a plymouth bug.  I've fixed it in git but the fix hasn't hit
rawhide yet.


Note You need to log in before you can comment on or make changes to this bug.